package com.compdfkit.demo;

import android.view.View;

import com.compdfkit.core.annotation.CPDFAnnotation;
import com.compdfkit.tools.common.utils.animation.CFillScreenManager;
import com.compdfkit.tools.common.views.pdfproperties.CAnnotationType;
import com.compdfkit.tools.common.views.pdfview.CPreviewMode;

public class CSampleScreenManager {
    private com.compdfkit.demo.databinding.PdfSampleActivityBinding binding;

    private CFillScreenManager fillScreenManager = new CFillScreenManager();

    public void bind(com.compdfkit.demo.databinding.PdfSampleActivityBinding mainBinding){
        this.binding = mainBinding;
        fillScreenManager.bindTopToolView(binding.flTool);
        fillScreenManager.bindBottomToolViewList(binding.annotationToolBar);
        fillScreenManager.bindBottomToolViewList(binding.editToolBar);
        fillScreenManager.bindBottomToolViewList(binding.formToolBar);
//        bind right view
        fillScreenManager.bindRightToolViewList(binding.pdfView.slideBar);
    }


    public void changeWindowStatus(CPreviewMode mode){
        if (mode == CPreviewMode.Viewer){
            fillScreenManager.removeAndHideToolView(binding.annotationToolBar);
            fillScreenManager.removeAndHideToolView(binding.editToolBar);
            fillScreenManager.removeAndHideToolView(binding.formToolBar);
        }else if (mode == CPreviewMode.Annotation){
            fillScreenManager.bindBottomToolViewList(binding.annotationToolBar);
            fillScreenManager.showFromBottom(binding.annotationToolBar, 200);
            fillScreenManager.removeAndHideToolView(binding.editToolBar);
            fillScreenManager.removeAndHideToolView(binding.formToolBar);
        } else if (mode == CPreviewMode.Edit) {
            fillScreenManager.bindBottomToolViewList(binding.editToolBar);
            fillScreenManager.showFromBottom(binding.editToolBar, 200);
            fillScreenManager.removeAndHideToolView(binding.annotationToolBar);
            fillScreenManager.removeAndHideToolView(binding.formToolBar);
        } else if (mode == CPreviewMode.Form){
            fillScreenManager.bindBottomToolViewList(binding.formToolBar);
            fillScreenManager.showFromBottom(binding.formToolBar, 200);
            fillScreenManager.removeAndHideToolView(binding.annotationToolBar);
            fillScreenManager.removeAndHideToolView(binding.editToolBar);
        }
    }

    public void changeWindowStatus(CAnnotationType type){
        if (type == CAnnotationType.INK){
            fillScreenManager.bindTopToolView(binding.inkCtrlView);
            fillScreenManager.showFromTop(binding.inkCtrlView, 200);
            fillScreenManager.removeAndHideToolView(binding.annotationToolBar);
        }else {
            fillScreenManager.bindBottomToolViewList(binding.annotationToolBar);
            fillScreenManager.showFromTop(binding.annotationToolBar, 200);
            fillScreenManager.removeAndHideToolView(binding.inkCtrlView);
        }
    }

    public void changeWindowStatus(CPDFAnnotation.Type pdfType){
        if (pdfType == CPDFAnnotation.Type.INK){
            fillScreenManager.bindTopToolView(binding.inkCtrlView);
            fillScreenManager.showFromTop(binding.inkCtrlView, 200);
            fillScreenManager.removeAndHideToolView(binding.annotationToolBar);
        }else {
            fillScreenManager.bindBottomToolViewList(binding.annotationToolBar);
            fillScreenManager.showFromTop(binding.annotationToolBar, 200);
            fillScreenManager.removeAndHideToolView(binding.inkCtrlView);
        }
    }

    public void fillScreenChange(){
        fillScreenManager.fillScreenChange(binding.flTool.getVisibility() == View.VISIBLE);
    }
}
