package com.compdfkit.tools.annotation.pdfproperties.pdfnote;

import androidx.fragment.app.FragmentActivity;

import com.compdfkit.core.annotation.CPDFTextAnnotation;
import com.compdfkit.ui.proxy.CPDFTextAnnotImpl;
import com.compdfkit.ui.reader.CPDFPageView;


public class CPDFtextAnnotImpl extends CPDFTextAnnotImpl {

    @Override
    protected void onTouchTextAnnot(CPDFTextAnnotation cpdfTextAnnotation) {
        setFocused(true);
        CNoteEditDialog editDialog = CNoteEditDialog.newInstance(cpdfTextAnnotation.getContent());
        editDialog.setSaveListener(v -> {
            String content = editDialog.getContent();
            cpdfTextAnnotation.setContent(content);
            editDialog.dismiss();
        });
        editDialog.setDeleteListener(v -> {
            CPDFPageView cpdfPageView = (CPDFPageView) pageView;
            cpdfPageView.deleteAnnotation(cpdfTextAnnotation);
            editDialog.dismiss();
        });
        if (readerView.getContext() instanceof FragmentActivity) {
            editDialog.show(((FragmentActivity) readerView.getContext()).getSupportFragmentManager(), "noteEditDialog");
        }
    }
}

