package com.compdfkit.tools.annotation.pdfproperties.pdfstamp;

import android.animation.ObjectAnimator;
import android.graphics.Color;
import android.graphics.drawable.ColorDrawable;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.widget.AppCompatImageView;
import androidx.interpolator.view.animation.LinearOutSlowInInterpolator;

import com.compdfkit.tools.R;
import com.compdfkit.tools.common.utils.dialog.CDialogFragmentUtil;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import com.google.android.material.bottomsheet.BottomSheetDialogFragment;
import com.google.android.material.floatingactionbutton.FloatingActionButton;


public class CAddStampSwichDialogFragment  extends BottomSheetDialogFragment {

    private FloatingActionButton fabAdd;

    private AppCompatImageView ivAddImageStamp;

    private AppCompatImageView ivAddTextStamp;

    private View.OnClickListener addImageStampClickListener;

    private View.OnClickListener addTextStampClickListener;
    private FloatingActionButton fab;

    public static CAddStampSwichDialogFragment newInstance() {
        Bundle args = new Bundle();
        CAddStampSwichDialogFragment fragment = new CAddStampSwichDialogFragment();
        fragment.setArguments(args);
        return fragment;
    }


    @Override
    public void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setStyle(STYLE_NORMAL, R.style.Tools_Base_Theme_BasicBottomSheetDialogStyle_TopCorners);
    }

    @Override
    public void onStart() {
        super.onStart();
        BottomSheetBehavior<View> behavior = BottomSheetBehavior.from((View) getView().getParent());
        CDialogFragmentUtil.setBottomSheetDialogFragmentFullScreen(getDialog(), behavior);
        if (getDialog() != null) {
            getDialog().getWindow().setBackgroundDrawable(new ColorDrawable(Color.TRANSPARENT));
//            WindowManager.LayoutParams layoutParams = getDialog().getWindow().getAttributes();
//            if (CViewUtils.isLandScape(getContext())){
//                layoutParams.width = CDimensUtils.dp2px(getContext(), 640);
//            }else {
//                layoutParams.width = WindowManager.LayoutParams.MATCH_PARENT;
//            }
//            layoutParams.height = WindowManager.LayoutParams.MATCH_PARENT;
//            layoutParams.gravity = Gravity.BOTTOM |Gravity.END;
            getDialog().getWindow().setWindowAnimations(R.style.tools_fade_anim_dialog_style);
//            getDialog().getWindow().setAttributes(layoutParams);
        }
    }

    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        setStyle(STYLE_NORMAL, R.style.Tools_Base_Theme_BasicBottomSheetDialogStyle_TopCorners);
        View rootView =  inflater.inflate(R.layout.tools_properties_stamp_add_stamp_dialog_fragment, container,false);
        ivAddImageStamp = rootView.findViewById(R.id.iv_add_image_stamp);
        ivAddTextStamp = rootView.findViewById(R.id.iv_add_text_stamp);
        fab = rootView.findViewById(R.id.fab_add_custom_stamp);
        fab.setOnClickListener(v -> {
            dismiss();
        });
        ivAddTextStamp.setOnClickListener(addTextStampClickListener);
        ivAddImageStamp.setOnClickListener(addImageStampClickListener);
        rootView.findViewById(R.id.cl_rootView).setOnClickListener(v -> {
            dismiss();
        });
        fabAnim(true);
        return rootView;
    }

    private void fabAnim(boolean enter){
        ObjectAnimator objectAnimator;
        if (enter){
            objectAnimator = ObjectAnimator.ofFloat(fab, "rotation", 0F, 45F);
        }else {
            objectAnimator = ObjectAnimator.ofFloat(fab, "rotation", 45F, 0F);
        }
        objectAnimator.setDuration(200);
        objectAnimator.setInterpolator(new LinearOutSlowInInterpolator());
        objectAnimator.start();
    }

    @Override
    public void dismiss() {
        super.dismiss();
        fabAnim(false);
    }

    public void setAddImageStampClickListener(View.OnClickListener addImageStampClickListener) {
        this.addImageStampClickListener = addImageStampClickListener;
    }

    public void setAddTextStampClickListener(View.OnClickListener addTextStampClickListener) {
        this.addTextStampClickListener = addTextStampClickListener;
    }
}
