package com.compdfkit.tools.common.views.pdfpageedit;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.constraintlayout.widget.ConstraintLayout;

import com.compdfkit.tools.R;
import com.compdfkit.tools.common.utils.dialog.CDialogFragmentUtil;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import com.google.android.material.bottomsheet.BottomSheetDialogFragment;

public class CSelectInsertPageTypeDialogFragment extends BottomSheetDialogFragment {

    private View.OnClickListener blankClickListener;

    private View.OnClickListener pdfClickListener;

    public static CSelectInsertPageTypeDialogFragment newInstance() {
        return new CSelectInsertPageTypeDialogFragment();
    }


    @Override
    public void onStart() {
        super.onStart();
        BottomSheetBehavior<View> behavior = BottomSheetBehavior.from((View) getView().getParent());
        behavior.setState(BottomSheetBehavior.STATE_EXPANDED);
        behavior.setSkipCollapsed(true);
        CDialogFragmentUtil.setDimAmount(getDialog(), 0.2F);
    }

    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        View rootView = inflater.inflate(R.layout.tools_pageedit_insert_dialog_fragment, container, false);
        ConstraintLayout clInsertBlankPage = rootView.findViewById(R.id.cl_insert_blank_page);
        ConstraintLayout clInsertPdfPage = rootView.findViewById(R.id.cl_insert_pdf_page);
        clInsertBlankPage.setOnClickListener(blankClickListener);
        clInsertPdfPage.setOnClickListener(pdfClickListener);
        return rootView;
    }

    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
    }

    public void setInsertBlankPageClickListener(View.OnClickListener blankClickListener) {
        this.blankClickListener = blankClickListener;
    }

    public void setInsertPdfPageClickListener(View.OnClickListener pdfClickListener) {
        this.pdfClickListener = pdfClickListener;
    }
}
