/**
 * Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
 * <p>
 * THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 * AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 * UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 * This notice may not be removed from this file.
 */

package com.compdfkit.tools.edit;

import androidx.annotation.IntDef;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;


@IntDef({
        CPDFEditType.EDIT_CLOSE,
        CPDFEditType.EDIT_TEXT,
        CPDFEditType.EDIT_IMAGE,
        CPDFEditType.EDIT_TEXT_IMAGE})
@Retention(RetentionPolicy.SOURCE)
public @interface CPDFEditType {

    int EDIT_CLOSE = 0;

    int EDIT_TEXT = 1;

    int EDIT_IMAGE = 2;

    int EDIT_TEXT_IMAGE = 3;

}
