/**
 * Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
 *
 * THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 * AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 * UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 * This notice may not be removed from this file.
 */

package com.compdfkit.demo.form;


import android.view.View;

import com.compdfkit.demo.form.databinding.FormPdfSampleActivityBinding;
import com.compdfkit.tools.common.utils.animation.CFillScreenManager;
import com.compdfkit.tools.common.views.pdfview.CPreviewMode;

public class CFormSampleScreenManager {

    private FormPdfSampleActivityBinding binding;

    private CFillScreenManager fillScreenManager = new CFillScreenManager();

    public void bind(FormPdfSampleActivityBinding mainBinding){
        this.binding = mainBinding;
        fillScreenManager.bindTopToolView(binding.flTool);
        fillScreenManager.bindBottomToolViewList(binding.formToolBar);
//        bind right view
        fillScreenManager.bindRightToolViewList(binding.pdfView.slideBar);
    }


    public void changeWindowStatus(CPreviewMode mode){
        if (mode == CPreviewMode.Viewer){
            fillScreenManager.removeAndHideToolView(binding.formToolBar);
        }else if (mode == CPreviewMode.Form){
            fillScreenManager.bindBottomToolViewList(binding.formToolBar);
            fillScreenManager.showFromBottom(binding.formToolBar, 200);
        }
    }

    public void fillScreenChange(){
        fillScreenManager.fillScreenChange(binding.flTool.getVisibility() == View.VISIBLE);

    }

}
