package com.compdfkit.demo.pageedit;

import android.view.View;

import com.compdfkit.demo.pageedit.databinding.ActivityMainBinding;
import com.compdfkit.tools.common.utils.animation.CFillScreenManager;
import com.compdfkit.tools.common.views.pdfview.CPreviewMode;

public class CPageEditSampleScreenManager {

    private ActivityMainBinding binding;
    private CFillScreenManager fillScreenManager = new CFillScreenManager();

    public void bind(ActivityMainBinding mainBinding){
        this.binding = mainBinding;
        fillScreenManager.bindTopToolView(binding.flTool);
        fillScreenManager.bindBottomToolViewList(binding.flBottomTool);
        fillScreenManager.bindBottomToolViewList(binding.pdfView.indicatorView);
        //bind right view
        fillScreenManager.bindRightToolViewList(binding.pdfView.slideBar);
    }

    public void changeWindowStatus(CPreviewMode mode){
        if (mode == CPreviewMode.Viewer){
            fillScreenManager.removeAndHideToolView(binding.flBottomTool);
        }else if (mode == CPreviewMode.PageEdit){
            fillScreenManager.bindBottomToolViewList(binding.flBottomTool);
            fillScreenManager.showFromBottom(binding.flBottomTool, 200);
        }
    }

    public void fillScreenChange() {
        fillScreenManager.fillScreenChange(binding.flTool.getVisibility() == View.VISIBLE);
    }
}
